---
- name: create storage classes
  run_once: "yes"
  kubernetes.core.k8s:
    state: present
    definition:
      apiVersion: "storage.k8s.io/v1"
      kind: StorageClass
      metadata:
        name: "{{ item.name }}"
      parameters: "{{ item.parameters }}"
      provisioner: "{{ item.provisioner }}"
      reclaimPolicy: Delete
      volumeBindingMode: Immediate
  loop: "{{ os_infra.kubernetes.storage_classes }}"
  loop_control:
    label: "{{ item.name }}"
  when: os_infra.kubernetes is defined and
    os_infra.kubernetes.storage_classes is defined
